Use this API to return a list of Groups.
This endpoint returns the brief view of each Group (id, name, policy_id, total_users). It does not include the admins or users arrays — use Get Group for the full view of a single Group.
Resource URL
https://<subdomain>.onelogin.com/api/2/groupsHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Query Parameters
Max page limit is 650. See Pagination for detail on how this works.
Many of the search tools described in our Getting Started documentation can be applied to your parameters, allowing you to fine-tune your results.
name string | Optional. Filters by Group name. |
policy_id integer | Optional. Returns Groups assigned to this Policy ID. |
Sample Responses
- 200 OK
- 401 Unauthorized
[
{
"id": 123,
"name": "Sample Group",
"policy_id": 7765,
"total_users": 42
}
...
]Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}Postman Collection
- Clicking Run in Postman button navigates to the page where you can fork the collection to your workspace. Forking the collection into your workspace will enable you to contribute to the source collection using pull requests. You can also view the collection in a public workspace if you like and even import a copy of the collection using the links present on the screen.
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
List Groups
curl 'https://<subdomain>.onelogin.com/api/2/groups' \
-X GET \
-H "Authorization: bearer <access_token>"Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.